curl --request GET \
--url https://api.instantly.ai/api/v2/domains/{domain}/forwarding \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/domains/{domain}/forwarding"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/domains/{domain}/forwarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/domains/{domain}/forwarding")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/domains/{domain}/forwarding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/domains/{domain}/forwarding"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"domain": "example.com",
"forwarding_domain": "mycompany.com",
"forwarding_mode": "redirect"
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Get domain forwarding
Returns the stored web forwarding configuration for a domain ordered through Instantly. All fields except domain are null when no forwarding is configured.
Requires one of the following scopes: dfy_email_account_orders:read, dfy_email_account_orders:all, all:read, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The domain to manage forwarding for
1^\s*\S+\.[a-zA-Z]{2,}(\/\S*)?\s*$"example.com"
Response
The requested Domain Forwarding
Web forwarding configuration for a domain ordered through Instantly
The domain the forwarding configuration applies to
"example.com"
Destination domain visitors are forwarded to. Null when no forwarding is configured.
"mycompany.com"
How the forwarding domain is applied. Null when no forwarding is configured.
redirect, stealth, null "redirect"